<?php
namespace App\ViewModels\PreAgendamento\PreAgendamentoRegistrationViewModel;

use App\Utils\Entity;

class PreAgendamentoRegistrationViewModel extends Entity
{
    protected $id_agenda_especialidade;
    protected $id_especialidade;
    protected $cliente_nome;
    protected $cliente_telefone;
    protected $alterado_por;
    protected $criado_por;
    protected $status;

    public static function builder() : PreAgendamentoRegistrationViewModelBuilder
    {
        return (new PreAgendamentoRegistrationViewModelBuilder);
    }

    /**
     * @return mixed
     */
    public function getIdAgendaEspecialidade()
    {
        return $this->id_agenda_especialidade;
    }

    /**
     * @param mixed $id_agenda_especialidade
     */
    public function setIdAgendaEspecialidade($id_agenda_especialidade): void
    {
        $this->id_agenda_especialidade = $id_agenda_especialidade;
    }

    /**
     * @return mixed
     */
    public function getIdEspecialidade()
    {
        return $this->id_especialidade;
    }

    /**
     * @param mixed $id_especialidade
     */
    public function setIdEspecialidade($id_especialidade): void
    {
        $this->id_especialidade = $id_especialidade;
    }

    /**
     * @return mixed
     */
    public function getClienteNome()
    {
        return $this->cliente_nome;
    }

    /**
     * @param mixed $cliente_nome
     */
    public function setClienteNome($cliente_nome): void
    {
        $this->cliente_nome = $cliente_nome;
    }

    /**
     * @return mixed
     */
    public function getClienteTelefone()
    {
        return $this->cliente_telefone;
    }

    /**
     * @param mixed $cliente_telefone
     */
    public function setClienteTelefone($cliente_telefone): void
    {
        $this->cliente_telefone = $cliente_telefone;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    /**
     * @return mixed
     */
    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    /**
     * @param mixed $criado_por
     */
    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status): void
    {
        $this->status = $status;
    }



}